Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'extraplugins/qompass-designer/org.eclipse.papyrus.qompass.designer.core/META-INF/MANIFEST.MF')
-rw-r--r--extraplugins/qompass-designer/org.eclipse.papyrus.qompass.designer.core/META-INF/MANIFEST.MF62
1 files changed, 30 insertions, 32 deletions
diff --git a/extraplugins/qompass-designer/org.eclipse.papyrus.qompass.designer.core/META-INF/MANIFEST.MF b/extraplugins/qompass-designer/org.eclipse.papyrus.qompass.designer.core/META-INF/MANIFEST.MF
index 5ae1c038b21..a6d03fe7727 100644
--- a/extraplugins/qompass-designer/org.eclipse.papyrus.qompass.designer.core/META-INF/MANIFEST.MF
+++ b/extraplugins/qompass-designer/org.eclipse.papyrus.qompass.designer.core/META-INF/MANIFEST.MF
@@ -1,4 +1,30 @@
Manifest-Version: 1.0
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.emf.ecore,
+ org.eclipse.uml2.uml,
+ org.eclipse.ui.ide,
+ org.eclipse.core.resources,
+ org.eclipse.papyrus.fcm.profile;bundle-version="1.0.2",
+ org.eclipse.papyrus.marte.static.profile;bundle-version="1.0.2",
+ org.eclipse.papyrus.qompass.designer.vsl;bundle-version="1.0.2",
+ org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="1.0.2",
+ org.eclipse.emf.compare;bundle-version="3.0.0",
+ org.eclipse.papyrus.uml.tools;bundle-version="1.0.2",
+ org.eclipse.acceleo.engine;bundle-version="3.1.0",
+ org.eclipse.acceleo.parser;bundle-version="3.1.0",
+ org.eclipse.papyrus.cpp.profile;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.core;bundle-version="1.0.2",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.7.0",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.0.2",
+ org.eclipse.papyrus.acceleo;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.0.2",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="1.0.2",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.0.2",
+ org.eclipse.ui,
+ org.eclipse.papyrus.codegen.extensionpoints;bundle-version="1.0.2"
Export-Package: org.eclipse.papyrus.qompass.designer.core,
org.eclipse.papyrus.qompass.designer.core.acceleo,
org.eclipse.papyrus.qompass.designer.core.commands,
@@ -11,40 +37,12 @@ Export-Package: org.eclipse.papyrus.qompass.designer.core,
org.eclipse.papyrus.qompass.designer.core.templates,
org.eclipse.papyrus.qompass.designer.core.transformations,
org.eclipse.papyrus.qompass.designer.core.transformations.filters
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore,
- org.eclipse.uml2.uml,
- org.eclipse.ui.ide,
- org.eclipse.core.resources,
- org.eclipse.papyrus.fcm.profile;bundle-version="1.0.1",
- org.eclipse.papyrus.marte.static.profile;bundle-version="1.0.1",
- org.eclipse.papyrus.qompass.designer.vsl;bundle-version="1.0.1",
- org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="1.0.1",
- org.eclipse.emf.compare;bundle-version="3.0.0",
- org.eclipse.papyrus.uml.tools;bundle-version="1.0.1",
- org.eclipse.acceleo.engine;bundle-version="3.1.0",
- org.eclipse.acceleo.parser;bundle-version="3.1.0",
- org.eclipse.papyrus.cpp.profile;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.core;bundle-version="1.0.1",
- org.eclipse.gmf.runtime.common.core;bundle-version="1.7.0",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.emf;bundle-version="1.0.1",
- org.eclipse.papyrus.acceleo;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.0.1",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="1.0.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.0.1",
- org.eclipse.ui,
- org.eclipse.papyrus.codegen.extensionpoints;bundle-version="1.0.1"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.0.1.qualifier
-Bundle-Localization: plugin
+Bundle-Version: 1.0.2.qualifier
Bundle-Name: %pluginName
-Bundle-Activator: org.eclipse.papyrus.qompass.designer.core.Activator
+Bundle-Localization: plugin
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.qompass.designer.core;singlet
- on:=true
+Bundle-Activator: org.eclipse.papyrus.qompass.designer.core.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.qompass.designer.core;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-

Back to the top